<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;

class SubventionController extends Controller
{
    //


    function nouveau() {

        if(session('user')== null) {
            return redirect('/');
        }

        $subvention = DB::table('subvention')->orderBydesc('id')->get();

        return view('subvention/nouveau_subvention',[

            'subvention' => $subvention,

        ]);
    }

    function modifier($id) {

        if(session('user')== null) {
            return redirect('/');
        }

        $subvention = DB::table('subvention')->orderBydesc('id')->get();

        $tic = DB::table('subvention')->where('id', $id)->first(); 

        return view('subvention/modification',[

            'subvention' => $subvention,
            'tic' => $tic,

        ]);
    }



    function enregistrer (Request $request){

        $mont= request("mont");
        $datetic= implode('-', array_reverse(explode('/', request('datetic'))));
              
        $veri = DB::table('subvention')->where('montant', $mont)->where('date', $datetic)->first();

            if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Ce subvention a été déjà enregistrée !',
                ];
    
                return $message;
            }

            else{
                  
                    DB::table('subvention')->insert(
    
                        [   
                            'montant' => $mont,
                            'date' => $datetic,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Enregistrement effectué avec succès !',
                ];
        
                return $message; 
            } 

    }


    function valider (Request $request, $id){

        $mont= request("mont");
        $datetic= implode('-', array_reverse(explode('/', request('datetic'))));
              
        $veri = DB::table('subvention')->where('id', $id)->where('montant', $mont)->where('date', $datetic)->first();

            if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Ce subvention a été déjà enregistrée !',
                ];
    
                return $message;
            }

            else{
                  
                DB::table('subvention')->where('id', $id)->update(
    
                        [   
                            'montant' => $mont,
                            'date' => $datetic,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Modification effectuée avec succès !',
                ];
        
                return $message; 
            } 

    }


    function VoirSuppression ($id) {

        $tick= DB::table('subvention')->where('id',$id)->first();
        return [

            'tick' => $tick,
        ];
    }

    function supprimer () {

        $id=request('id');

        DB::table('subvention')->where('id', $id)->delete();

        return redirect()->route('nouveau_subvention')->with('status', 'Suppression effectuée avec succes');
    }






}
